b39d72432a
Upgrade to corosync-2.4.5 OBS-URL: https://build.opensuse.org/request/show/724896 OBS-URL: https://build.opensuse.org/package/show/network:ha-clustering:Factory/corosync?expand=0&rev=153
22 lines
745 B
Diff
22 lines
745 B
Diff
--- corosync-2.4.5/init/upgrade.sh 1970-01-01 08:00:00.000000000 +0800
|
|
+++ corosync-2.4.5-new/init/upgrade.sh 2019-08-02 17:15:38.224559371 +0800
|
|
@@ -0,0 +1,18 @@
|
|
+#! /bin/bash
|
|
+CONFIG_FILE=/etc/corosync/corosync.conf
|
|
+CONFIG_FILE_OLD=/etc/corosync/corosync.conf.old
|
|
+
|
|
+if [ -f $CONFIG_FILE ]; then
|
|
+ cp $CONFIG_FILE $CONFIG_FILE_OLD
|
|
+ #lots of operations
|
|
+ sed -i "/amf\ *{/,/\ *}/d" $CONFIG_FILE && \
|
|
+ sed -i "/aisexec\ *{/,/\ *}/d" $CONFIG_FILE && \
|
|
+ sed -i "/service\ *{/,/\ *}/d" $CONFIG_FILE && \
|
|
+ #sed -i "/token:/,/max_messages:/d" $CONFIG_FILE && \
|
|
+ sed -i "s/AMF/QUORUM/g" $CONFIG_FILE
|
|
+ if [ $? -ne 0 ]; then
|
|
+ cp $CONFIG_FILE_OLD $CONFIG_FILE
|
|
+ else
|
|
+ rm $CONFIG_FILE_OLD
|
|
+ fi
|
|
+fi
|